### Method

# Gtk Widgetget_width

#### Declaration [src]

    int
    gtk_widget_get_width (
      GtkWidget* widget
    )

#### Description [src]

Returns the content width of the widget.

This function returns the width passed to its size-allocate implementation, which is the width you should be using in `Gtk.WidgetClass.snapshot`.

For pointer events, see `gtk_widget_contains()`.

To learn more about widget sizes, see the coordinate system overview.

#### Return value

Type: `int`

The width of `widget`.